# Generated by Django 4.0.1 on 2022-02-11 15:37

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='District',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Zone',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='Student',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('age', models.PositiveIntegerField()),
                ('gender', models.CharField(choices=[('MALE', 'MALE'), ('FEMALE', 'FEMALE')], max_length=10)),
                ('district', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='students.district')),
                ('zone', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='students.zone')),
            ],
        ),
        migrations.AddField(
            model_name='district',
            name='zone',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='students.zone'),
        ),
    ]
